<?php
include ("db/dbMy.class.php");
$d = new dbMy;

$tipo = mysql_real_escape_string($_POST['tipo']); 	
$idtipo = mysql_real_escape_string($_POST['idTipo']);
	
if(!$idtipo) $idtipo = 0; 	
if (!is_numeric($idtipo))exit;

$estado = "";
if($tipo == "pagina" || $tipo == "info" || $tipo == "noticia")
	$estado = " where estado = 1 ";

if($tipo == "pagina")
	$sql = "select pagina.id, categoria.categoria as titulo from pagina, categoria 
			where estado = 1 and pagina.idCat = categoria.id";
else 
	$sql = "select id, titulo from $tipo $estado";
$lista =  $d->get($sql);

echo '<option value="" selected="selected">Escolha...</option>';
foreach($lista as $row){
	if($row['id'] == $idtipo)
		echo '<option value="'.$row['id'].'" selected="selected">'.utf8_encode($row['titulo']).'</option>';	
	else echo '<option value="'.$row['id'].'">'.utf8_encode($row['titulo']).'</option>';
}		


?>